Subject: Re: Configure traffic class to bringup DCB in back-to-back setup

From: ayuj <[email-masked]>
Date: Thu, 14 Jul 2016 09:35:33 +0000 (UTC)

John Fastabend <john.fastabend <at> gmail.com> writes:

> So at the moment it appears to be configured to use 802.1QAZ spec which
> superseded the older spec even though lldpad supports both. Note the
> tool itself really requires some spec knowledge to use correctly. The
> spec to read is 802.1Q.
> 
> To configure it back-to-back (typical scenario is connected to a DCB
> enabled switch where your administrator would setup the switch and this
> would autoneg just fine) the servers need to be setup manually.
> 
> Perhaps reading if you haven't already the man page for lldptool and
> lldptool-ets, lldptool-pfc would help. From the ets man page this
> should kick things off,
> 
> #lldptool -T -i eth2 -V ETS-CFG \
>           tsa=0:ets,1:ets,2:ets,3:ets,4:ets,5:ets,6:ets,7:ets \
>           up2tc=0:0,1:1,2:2,3:3,4:4,5:5,6:6,7:7 \
>           tcbw=12,12,12,12,13,13,13,13
> 
> #lldptool -T -i eth2 -V ETS-REC \
>            tsa=0:ets,1:ets,2:ets,3:ets,4:ets,5:ets,6:ets,7:ets \
>            up2tc=0:0,1:1,2:2,3:3,4:4,5:5,6:6,7:7 \
>            tcbw=12,12,12,12,13,13,13,13
> 
> Thanks,
> John
> 
> 
Hi John,
 
I have gone through  lldptool and lldptool-ets man pages. My query is how to
categorize traffic. 

My aim is to allocate bandwidth to different type of traffic(may be based on
port or protocol) using DCB( ETS/PFC) functionality.

Thanks
-Ayuj